---
features:
  primary:
    - name: Feature Flags made available in GitLab Starter
      available_in: [starter, premium, ultimate]
      gitlab_com: true
      documentation_link: 'https://docs.gitlab.com/ee/operations/feature_flags.html'
      video: 'https://www.youtube.com/embed/1FBRaBQTQZk'
      reporter: ogolowinski
      stage: release
      categories:
        - Feature Flags
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/212318'
      description: |
        In GitLab 11.4 Feature Flags were [introduced](https://about.gitlab.com/releases/2018/10/22/gitlab-11-4-released/#create-and-toggle-feature-flags-for-your-applications-alpha). In 12.2 we introduced [percent rollout](https://about.gitlab.com/releases/2019/08/22/gitlab-12-2-released/#percent-rollout-strategy-for-feature-flags) and [user ID](https://about.gitlab.com/releases/2019/08/22/gitlab-12-2-released/#user-id-rollout-strategy-for-feature-flags) feature flag strategies. In 13.1 we introduced feature flag [user lists](https://about.gitlab.com/releases/2020/06/22/gitlab-13-1-released/#control-feature-flags-with-user-lists) and support for [multiple feature flag strategies](https://about.gitlab.com/releases/2020/06/22/gitlab-13-1-released/#set-feature-flag-strategy-across-environments) per environment.

        Earlier this year, GitLab committed to [moving 18 features](/blog/2020/03/30/new-features-to-core/) to our open source core product. With this release of GitLab we've finished moving Feature Flags to Starter, and we are continuing to migrate our Feature Flag service to Core in [GitLab 13.5](https://gitlab.com/gitlab-org/gitlab/-/issues/212318). We're excited about bringing these features to more users and seeing what use cases and workflows you use them for.
